/* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*- */
#include <stdio.h>
#include <gtk/gtk.h>
#include <gtkhex/gtkhex.h>

static gboolean delete_main_window_event( GtkWidget *widget, GdkEvent  *event,
									 gpointer   data )
{
	gtk_widget_destroy(widget);
    return TRUE;
}

static void destroy_main_window( GtkWidget *widget,
                     gpointer   data )
{
    gtk_main_quit ();
}

int main (int argc, char ** argv) 
{  
	gboolean exit_value = TRUE;
	const gchar *filename = "heraia.c";
	HexDocument *doc;
	GtkWidget *window, *hexwidget;
    
	exit_value = gtk_init_check (&argc, &argv);

	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);

	/* signaux (on pose des couteurs) */
	g_signal_connect (G_OBJECT (window), "delete_event", 
					  G_CALLBACK (delete_main_window_event), NULL);
	g_signal_connect (G_OBJECT (window), "destroy", 
					  G_CALLBACK (destroy_main_window), NULL);
 
	doc = hex_document_new_from_file (filename);
	hexwidget = gtk_hex_new (doc);
	gtk_container_add(GTK_CONTAINER(window), hexwidget);
	gtk_widget_show_all  (window);
    
	gtk_main ();

	return exit_value;
}
